package models.services
import models._
import forms._
trait ProjectManager {
  
  def insert(project: ProjectForm):Project 
  
  def update(project: ProjectForm, id: Long):Unit
  
  def deleteMember(projectId: Long, memberId: Long):Unit
  
  def list(key: String): org.squeryl.Query[Project] 
  
  def getByName(name: String):Project
  
  def getById(id: Long):Project
  
  def getProjectList(request: play.api.mvc.Request[play.api.mvc.AnyContent]): String

}